Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.Texture.Wrap

    java.lang.Object
      java.lang.Enum<IRhino3dm.Texture.Wrap>
          igeo.io.IRhino3dm.Texture.Wrap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.Texture.Wrap>

Enclosing class:
  IRhino3dm.Texture

    public static enum IRhino3dm.Texture.Wrap

extends java.lang.Enum<IRhino3dm.Texture.Wrap>

Enum Constant Summary
`ClampWrap`
`Force32BitTextureWrap`
`RepeatWrap`

Method Summary
`static IRhino3dm.Texture.Wrap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.Texture.Wrap[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RepeatWrap

    public static final IRhino3dm.Texture.Wrap RepeatWrap

### ClampWrap

    public static final IRhino3dm.Texture.Wrap ClampWrap

### Force32BitTextureWrap

    public static final IRhino3dm.Texture.Wrap Force32BitTextureWrap

Method Detail

### values

    public static final IRhino3dm.Texture.Wrap[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IRhino3dm.Texture.Wrap c : IRhino3dm.Texture.Wrap.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IRhino3dm.Texture.Wrap valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD